Package org.eclipse.mat.hprof

# Class HprofIndexBuilder

java.lang.Object
org.eclipse.mat.hprof.HprofIndexBuilder

All Implemented Interfaces:
  `IIndexBuilder`

public class HprofIndexBuilder extends Object implements IIndexBuilder

## Constructor Summary

Constructors
Constructor
Description
`HprofIndexBuilder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
called in case of error to delete any files / close any file handles
`void`
`clean(int[] purgedMapping, IProgressListener listener)`
Memory Analyzer has discarded unreachable objects, so the parser may need to know the discarded objects.
`void`
`fill(IPreliminaryIndex preliminary, IProgressListener listener)`
Pass1 and pass2 parsing.
`void`
`init(File file, String prefix)`
Initialize with file and prefix (needed for naming conventions).

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HprofIndexBuilder

public HprofIndexBuilder()

## Method Details

### init

public void init(File file, String prefix)
Description copied from interface: `IIndexBuilder`
Initialize with file and prefix (needed for naming conventions).

Specified by:
  `init` in interface `IIndexBuilder`
Parameters:
  `file` - the dump file
  `prefix` - used to build index files

### fill

public void fill(IPreliminaryIndex preliminary, IProgressListener listener) throws SnapshotException, IOException
Description copied from interface: `IIndexBuilder`
Pass1 and pass2 parsing.

Specified by:
  `fill` in interface `IIndexBuilder`
Parameters:
  `preliminary` -
  `listener` - for progress and error reporting
Throws:
  `SnapshotException` - major problem parsing the dump
  `IOException` - for example, problem reading the dump file or wrong file type

### clean

public void clean(int[] purgedMapping, IProgressListener listener) throws IOException
Description copied from interface: `IIndexBuilder`
Memory Analyzer has discarded unreachable objects, so the parser may need to know the discarded objects.

Specified by:
  `clean` in interface `IIndexBuilder`
Parameters:
  `purgedMapping` - mapping from old id to new id, -1 indicates object has been discarded
  `listener` - for progress and error reporting
Throws:
  `IOException` - for example, problem writing a new index

### cancel

public void cancel()
Description copied from interface: `IIndexBuilder`
called in case of error to delete any files / close any file handles

Specified by:
  `cancel` in interface `IIndexBuilder`